Package: org.codehaus.groovy.tools.shell.util

## [Groovy] Class HelpFormatter

- org.codehaus.groovy.tools.shell.util.HelpFormatter

- Custom CLI help formatter to render things correctly.

  Authors:
    Jason Dillon
  Version:
    \$Id\$

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class HelpFormatter` | `DEFAULT_WIDTH, DEFAULT_LEFT_PAD, DEFAULT_DESC_PAD, DEFAULT_SYNTAX_PREFIX, DEFAULT_OPT_PREFIX, DEFAULT_LONG_OPT_PREFIX, DEFAULT_ARG_NAME, defaultWidth, defaultLeftPad, defaultDescPad, defaultSyntaxPrefix, defaultNewLine, defaultOptPrefix, defaultLongOptPrefix, defaultArgName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HelpFormatter ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `getDefaultWidth()`
    `protected StringBuffer` | `renderOptions(StringBuffer sb, int width, Options options, int leftPad, int descPad)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HelpFormatter` | `printUsage, printUsage, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, setNewLine, getNewLine, setOptPrefix, setLeftPadding, getLeftPadding, setDescPadding, getDescPadding, setSyntaxPrefix, getSyntaxPrefix, getOptPrefix, setLongOptPrefix, getLongOptPrefix, getOptionComparator, setOptionComparator, printOptions, printWrapped, printWrapped, setArgName, getArgName, setWidth, getWidth, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### HelpFormatter()

  - ### Method Detail

    - #### int getDefaultWidth()

    - #### protected StringBuffer renderOptions(StringBuffer sb, int width, Options options, int leftPad, int descPad)